com.independentsoft.exchange

## Class Response

- java.lang.Object
- - com.independentsoft.exchange.Response

- Direct Known Subclasses:
    ConversationItemResponse, ConvertIdResponse, CreateAttachmentResponse, DelegateResponse, DelegateUserResponse, DeleteAttachmentResponse, ExpandDistributionListResponse, ExportItemsResponse, FindConversationResponse, FindFolderResponse, FindItemResponse, FindMailboxStatisticsByKeywordsResponse, FindMessageTrackingReportResponse, FindPeopleResponse, FolderInfoResponse, FreeBusyResponse, GetAppManifestsResponse, GetAppMarketplaceUrlResponse, GetAttachmentResponse, GetDiscoverySearchConfigurationResponse, GetEventsResponse, GetImItemListResponse, GetImItemsResponse, GetMailTipsResponse, GetMessageTrackingReportResponse, GetNonIndexableItemDetailsResponse, GetNonIndexableItemStatisticsResponse, GetPasswordExpirationDateResponse, GetRemindersResponse, GetRoomListsResponse, GetRoomsResponse, GetRulesResponse, GetSearchableMailboxesResponse, GetServerTimeZonesResponse, GetSharingFolderResponse, GetSharingMetadataResponse, GetUserConfigurationResponse, GetUserPhotoResponse, GetUserRetentionPolicyTagsResponse, HoldOnMailboxesInfo, ImGroupInfoResponse, ItemInfoResponse, MailTipsResponse, MarkAsJunkResponse, OutOfOfficeResponse, PerformReminderActionResponse, PersonaInfoResponse, ResolveNamesResponse, RuleOperationResponse, SearchMailboxesResponse, SendNotificationResponse, ServiceConfigurationResponse, StreamingEventsResponse, SubscribeResponse, SuggestionsResponse, SyncFoldersResponse, SyncItemsResponse, UploadItemsResponse

      public class Response
      extends java.lang.Object

  Provides descriptive information about the response status for a single entity within a request.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescriptiveLinkKey()` Gets unused and is reserved for future use.
    `java.lang.String` | `getMessage()` Gets a text description of the status of the response.
    `ResponseClass` | `getResponseClass()` Gets the status of the response.
    `ResponseCode` | `getResponseCode()` Gets an error code that identifies the specific error that the request encountered.
    `ServerVersionInfo` | `getServerVersionInfo()` Gets the Microsoft Exchange Server version number.
    `java.lang.String` | `getXmlMessage()` Gets additional error response information.
    `void` | `setServerVersionInfo(ServerVersionInfo serverVersionInfo)` Sets the Microsoft Exchange Server version number.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getResponseClass

          public ResponseClass getResponseClass()

      Gets the status of the response.
      Returns:
        the response class

    - #### getResponseCode

          public ResponseCode getResponseCode()

      Gets an error code that identifies the specific error that the request encountered.
      Returns:
        the response code

    - #### getMessage

          public java.lang.String getMessage()

      Gets a text description of the status of the response.
      Returns:
        the message

    - #### getXmlMessage

          public java.lang.String getXmlMessage()

      Gets additional error response information.
      Returns:
        the xml message

    - #### getDescriptiveLinkKey

          public java.lang.String getDescriptiveLinkKey()

      Gets unused and is reserved for future use.
      Returns:
        the descriptive link key

    - #### getServerVersionInfo

          public ServerVersionInfo getServerVersionInfo()

      Gets the Microsoft Exchange Server version number.
      Returns:
        the server version info

    - #### setServerVersionInfo

          public void setServerVersionInfo(ServerVersionInfo serverVersionInfo)

      Sets the Microsoft Exchange Server version number.
      Parameters:
        `serverVersionInfo` - the new server version info